<?php

namespace App\Services\goods;

use App\Exception\custom\GoodsException;
use App\Models\goods\mysql\Stores;

class StoresService
{
    /**
     * @param array $params
     * 编辑门店
     * @return \Api\PhpUtils\Mysql\MysqlBase
     * @throws GoodsException
     */
    public static function editStores($params = [])
    {
        $data = $where = [];
        $lifeAccountId = $params["life_account_id"];
        $name = $params["name"];
        if (!empty($params["stores_id"])) {
            $where["stores_id"] = $params["stores_id"];
        } else {
            $stores = Stores::getRecordMaster(["life_account_id"=>$lifeAccountId, "name"=>$name]);
            if (!empty($stores)) {
                throw new GoodsException(['cus' => 4]);
            }

            $res = GoodsService::getIdgenId(substr($lifeAccountId, -2), "goods");
            if (empty($res)) {
                throw new GoodsException(['cus' => 3]);
            }
            $data["stores_id"] = $res["0"];
        }

        $data["name"] = $name;
        $data["address_lng"] = $params["address_lng"];
        $data["address_lat"] = $params["address_lat"];
        $data["address"] = $params["address"];
        $data["phone"] = $params["phone"];
        $data["life_account_id"] = $params["life_account_id"];
        return Stores::save($data, $where);
    }

    /**
     * @param $lifeAccountId
     * @return \Api\PhpUtils\Mysql\MysqlBase
     */
    public static function getStoresList($lifeAccountId)
    {
        return Stores::getAll($lifeAccountId);
    }
}